Bug 1788305 (CVE-2019-16775) - CVE-2019-16775 npm: Symlink reference outside of node_modules folder through the bin field upon installation
Summary: CVE-2019-16775 npm: Symlink reference outside of node_modules folder through ...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-16775
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1788307 1788306 1803117 1803118 1803155 1803156 1803157 1803684 1803685 1805295 1847735
Blocks: 1788313
TreeView+ depends on / blocked
 
Reported: 2020-01-06 22:14 UTC by Pedro Sampaio
Modified: 2020-06-19 03:44 UTC (History)
24 users (show)

Fixed In Version: npm 6.13.3, nodejs 8.17.0, nodejs 10.18.0, nodejs 12.14.0, nodejs 13.4.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-24 15:49:37 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:0611 None None None 2020-02-26 11:52:26 UTC
Red Hat Product Errata RHBA-2020:0612 None None None 2020-02-26 12:02:05 UTC
Red Hat Product Errata RHBA-2020:0618 None None None 2020-02-26 15:00:42 UTC
Red Hat Product Errata RHBA-2020:0626 None None None 2020-02-27 08:31:09 UTC
Red Hat Product Errata RHBA-2020:0636 None None None 2020-02-27 15:53:22 UTC
Red Hat Product Errata RHBA-2020:0646 None None None 2020-03-02 08:04:13 UTC
Red Hat Product Errata RHBA-2020:0647 None None None 2020-03-02 08:01:52 UTC
Red Hat Product Errata RHBA-2020:0648 None None None 2020-03-02 08:08:15 UTC
Red Hat Product Errata RHBA-2020:0650 None None None 2020-03-02 10:20:37 UTC
Red Hat Product Errata RHSA-2020:0573 None None None 2020-02-24 12:53:38 UTC
Red Hat Product Errata RHSA-2020:0579 None None None 2020-02-25 08:36:26 UTC
Red Hat Product Errata RHSA-2020:0597 None None None 2020-02-25 13:04:36 UTC
Red Hat Product Errata RHSA-2020:0602 None None None 2020-02-25 15:53:14 UTC
Red Hat Product Errata RHSA-2020:2625 None None None 2020-06-19 03:44:23 UTC

Description Pedro Sampaio 2020-01-06 22:14:41 UTC
Versions of the npm CLI prior to 6.13.3 are vulnerable to a symlink reference outside of node_modules. It is possible for packages to create symlinks to files outside of the node_modules folder through the bin field upon installation. A properly constructed entry in the package.json bin field would allow a package publisher to create a symlink pointing to arbitrary files on a user’s system when the package is installed. Only files accessible by the user running the npm install are affected.

References:

https://www.npmjs.com/advisories/1436
https://nodejs.org/en/blog/vulnerability/december-2019-security-releases/
https://blog.npmjs.org/post/189618601100/binary-planting-with-the-npm-cli

Comment 1 Pedro Sampaio 2020-01-06 22:15:27 UTC
Created nodejs tracking bugs for this issue:

Affects: epel-all [bug 1788307]
Affects: fedora-all [bug 1788306]

Comment 2 Jason Shepherd 2020-01-08 04:18:37 UTC
Red Hat Quay versions up to v3.2.0 are affected by the use of yarn to install client side dependencies. Red Hat Quay uses the npm package from RHEL 7 so that will be updated once a fix for RHEL 7 is available.

Comment 3 Jason Shepherd 2020-01-09 00:04:19 UTC
The issue in Yarn was assigned CVE-2019-10773, Red Hat Quay is affected by that issue, not this one.

Comment 4 Ted (Jong Seok) Won 2020-01-17 01:02:52 UTC
This vulnerability is out of security support scope for the following products:
 * Red Hat Openshift Application Runtimes Node.js 8

Please refer to https://access.redhat.com/support/policy/updates/jboss_notes for more details.

Comment 10 Cedric Buissart 2020-02-21 11:43:22 UTC
This vulnerability was fixed in RHEL-8.1.0.z via the following erratum : https://access.redhat.com/errata/RHEA-2020:0330

Comment 11 errata-xmlrpc 2020-02-24 12:53:32 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.0 Update Services for SAP Solutions

Via RHSA-2020:0573 https://access.redhat.com/errata/RHSA-2020:0573

Comment 12 Product Security DevOps Team 2020-02-24 15:49:37 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-16775

Comment 13 errata-xmlrpc 2020-02-25 08:36:23 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:0579 https://access.redhat.com/errata/RHSA-2020:0579

Comment 14 errata-xmlrpc 2020-02-25 13:04:34 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.5 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.7 EUS

Via RHSA-2020:0597 https://access.redhat.com/errata/RHSA-2020:0597

Comment 15 errata-xmlrpc 2020-02-25 15:53:12 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.5 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.7 EUS

Via RHSA-2020:0602 https://access.redhat.com/errata/RHSA-2020:0602

Comment 21 errata-xmlrpc 2020-06-19 03:44:21 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.7 EUS

Via RHSA-2020:2625 https://access.redhat.com/errata/RHSA-2020:2625


Note You need to log in before you can comment on or make changes to this bug.